<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.info.mapper.EWaterCustomerMapper">

    <resultMap id="BaseResultMap" type="com.zksy.info.domain.EWaterCustomer">
            <id property="id" column="id" jdbcType="VARCHAR"/>
            <result property="enterpriseName" column="enterprise_name" jdbcType="VARCHAR"/>
            <result property="unifiedSocialCreditCode" column="unified_social_credit_code" jdbcType="VARCHAR"/>
            <result property="waterUserInfo" column="water_user_info" jdbcType="VARCHAR"/>
            <result property="openingDate" column="opening_date" jdbcType="DATE"/>
            <result property="userAddress" column="user_address" jdbcType="VARCHAR"/>
            <result property="prepaidAmount" column="prepaid_amount" jdbcType="DECIMAL"/>
            <result property="arrearsAmount" column="arrears_amount" jdbcType="DECIMAL"/>
            <result property="isOneHouseholdTable" column="is_one_household_table" jdbcType="VARCHAR"/>
            <result property="waterFeeDetails" column="water_fee_details" jdbcType="VARCHAR"/>
            <result property="avgWaterUsageLast3Months" column="avg_water_usage_last_3_months" jdbcType="DECIMAL"/>
            <result property="avgWaterUsageLast6Months" column="avg_water_usage_last_6_months" jdbcType="DECIMAL"/>
            <result property="isArrearsNow" column="is_arrears_now" jdbcType="VARCHAR"/>
            <result property="paymentPeriod" column="payment_period" jdbcType="VARCHAR"/>
            <result property="statisticsDate" column="statistics_date" jdbcType="DATE"/>
            <result property="statisticsBaselineDate" column="statistics_baseline_date" jdbcType="DATE"/>
            <result property="remarks" column="remarks" jdbcType="VARCHAR"/>
            <result property="administrativeRegionCode" column="administrative_region_code" jdbcType="VARCHAR"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,enterprise_name,unified_social_credit_code,
        water_user_info,opening_date,user_address,
        prepaid_amount,arrears_amount,is_one_household_table,
        water_fee_details,avg_water_usage_last_3_months,avg_water_usage_last_6_months,
        is_arrears_now,payment_period,statistics_date,
        statistics_baseline_date,remarks,administrative_region_code,
        create_time
    </sql>
</mapper>
